Keywords
********


Links to manual entries
=======================

**hybrid:**

* Capping

* Committee

* Energy

* Engine

* QMMM

* RestartSubEngines


Summary of all keywords
=======================


Engine Hybrid
-------------

"AllowSanityCheckWarnings"
   Type:
      Bool

   Default value:
      No

   Description:
      Sanity checks will be performed on the setup. If this option is
      on, only warnings are printed. If not the program will stop on
      warnings.

"Capping"
   Type:
      Block

   Description:
      This block is about capping details. Capping occurs with
      hydrogen atoms when a bond is broken between an atom inside the
      region and one outside.

   "AllowHighBondOrders"
      Type:
         Bool

      Default value:
         No

      Description:
         Allows capping of interregional aromatic, double and triple
         bonds. This is normally not a good idea, since the capping is
         done with hydrogen atoms.

   "AtomicInfoForCappingAtom"
      Type:
         String

      Default value:
         ForceField.Type=H_ ForceField.Charge=0.0

      Description:
         The AtomicInfo for the capping atoms. Typically a string like
         ForceField.Type=X much like forcefield info is entered in the
         System block for normal atoms.

   "CappingElement"
      Type:
         String

      Default value:
         H

      Description:
         The element to be used for capping. The hydrogen atom has the
         advantage that it is very small.

   "CheckCapping"
      Type:
         Bool

      Default value:
         Yes

      Description:
         The same outside atom can be involved in multiple capping
         coordinate definitions. This is not a good idea, and this
         will not be accepted by using this check.

   "Distance"
      Type:
         Float

      Default value:
         -1.0

      Description:
         A negative value means automatic. In that case the sum of
         covalent radii is used

   "Option"
      Type:
         Multiple Choice

      Default value:
         Fixed

      Options:
         [Fractional, Fixed]

      GUI name:
         Capping option

      Description:
         The capping atom is always along the broken bond vector.

         The bond distance between the capping atom and the two atoms
         are obtained from covalent radii, let us call them D1H and
         D2H.

         With option=Fractional the capping is on the bond vector with
         the fraction D1H/(D1H+D2H).

         With the Fixed option it at the distance D1H from atom 1. A
         distance of zero always means the coordinate of the inside
         atom.

"Committee"
   Type:
      Block

   Description:
      Settings for using the hybrid engine as a committee. The factors
      and region for each engine must be the same. When committee is
      enabled the standard deviation is also reported as the
      uncertainty.

   "Enabled"
      Type:
         Bool

      Default value:
         No

      Description:
         Enable committee

"Energy"
   Type:
      Block

   Description:
      This block is there to construct the energy.

   "DynamicFactors"
      Type:
         Multiple Choice

      Default value:
         Default

      Options:
         [Default, UseLowestEnergy, UseHighestEnergy]

      GUI name:
         Adjust factors

      Description:
         Default - use factors as set in the corresponding Term
         blocks;

         UseLowestEnergy - set all factors to 0 except for that of the
         engine with the lowest energy, which is set to 1;

         UseHighestEnergy - set all factors to 0 except for that of
         the engine with the highest energy, which is set to 1.

         The last two options make sense only for non-QMMM hybrid
         calculation (that is, if the QMMM block is not present) and
         only when using engines whose energies can be compared
         directly.

   "Term"
      Type:
         Block

      Recurring:
         True

      Description:
         This block is there to construct the energy term. Can have
         multiple occurrences

      "Charge"
         Type:
            Float

         Default value:
            0.0

         Description:
            Net charge to be used for this energy term.

      "EngineID"
         Type:
            String

         Description:
            Identifier for the engine

      "Factor"
         Type:
            Float

         Default value:
            1.0

         Description:
      "PBC"
         Type:
            Bool

         Default value:
            Yes

         Description:
            If the full system has a periodic lattice, apply it to the
            region

      "Region"
         Type:
            String

         Description:
            Identifier for the region

      "UseCappingAtoms"
         Type:
            Bool

         Default value:
            Yes

         Description:
            Whether to use capping for broken bonds

"Engine"
   Type:
      Block

   Recurring:
      True

   Description:
      The input for the computational (sub) engine. The header of the
      block determines the type of the engine. An optional second word
      in the header serves as the EngineID, if not present it defaults
      to the engine name. Currently it is not allowed to have a Hybrid
      engine as a sub engine.

"GuessAttributesOnce"
   Type:
      Bool

   Default value:
      Yes

   Description:
      If any ForceField subengines are defined, and if automatic atom
      typing is possible, then the atom typing is done at the level of
      the Hybrid engine, and not of the ForceField subengines. This
      ensures that the same atom types and charges are used in each
      subsystem, so that pair energy terms that should cancel, will
      cancel. If set to False, then for each energy term the atom
      types and charges of the subsystem will be determined
      separately.

"QMMM"
   Type:
      Block

   Description:
      This block is there to identify the QMMM engines.

   "Embedding"
      Type:
         Multiple Choice

      Default value:
         Electrostatic

      Options:
         [Mechanical, Electrostatic]

      Description:
         Determines how the QM region is embedded into the MM region.

         Mechanical embedding embedding can also be achieved using the
         Energy%Terms keywords, but the common case of a two region
         mechanical QM/MM embedding is easier to set up using this
         keyword.

   "MMCharge"
      Type:
         Float

      Default value:
         0.0

      Description:
         Net charge to be used for the MM region.

   "MMEngineID"
      Type:
         String

      Description:
         Identifier for the MM engine

   "QMCharge"
      Type:
         Float

      Default value:
         0.0

      Description:
         Net charge to be used for the QM region.

   "QMEngineID"
      Type:
         String

      Description:
         Identifier for the QM engine

   "QMRegion"
      Type:
         String

      Description:
         Identifier for the QM region. The rest of the system is
         considered the MM region.

   "UseCappingAtoms"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Whether to use capping for broken bonds.

"RestartSubEngines"
   Type:
      Bool

   Default value:
      Yes

   Description:
      Save all the results of the subengines and pass those in a next
      geometry step or MD step.

"TweakRequestForSubEngines"
   Type:
      Bool

   Default value:
      Yes

   Description:
      Only request what is really needed, gradients and charges.
